Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455757 - Review Request: pyexiv2 - Python binding to exiv2
Summary: Review Request: pyexiv2 - Python binding to exiv2
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-17 16:14 UTC by Matěj Cepl
Modified: 2018-04-11 12:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-18 22:19:51 UTC
dan: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Matěj Cepl 2008-07-17 16:14:40 UTC
Spec URL: http://mcepl.fedorapeople.org/rpms/pyexiv2.spec
SRPM URL: http://mcepl.fedorapeople.org/rpms/pyexiv2-0.1.2-1.fc9.src.rpm
Description:
pyexiv2 is a python binding to exiv2, the C++ library for manipulation
of EXIF and IPTC image metadata. It is a python module that allows your
python scripts to read and write metadata (EXIF, IPTC, thumbnail)
embedded in image files (JPEG, TIFF, ...).

Comment 1 Matěj Cepl 2008-07-17 16:15:02 UTC
Builds in koji
http://koji.fedoraproject.org/koji/taskinfo?taskID=722738

Comment 2 Dan Horák 2008-07-17 16:56:21 UTC
OK*	source files match upstream:
	    6ae7aa7e155117ea2356e78112ede2031fc06c8e  pyexiv2-0.1.2.tar.bz2
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
BAD	license field matches the actual license.
OK	license is open source-compatible (GPLv2+). License text included in package.
OK	latest version is being packaged.
OK	BuildRequires are proper.
BAD	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
BAD	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	no shared libraries are added to the regular linker search paths.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	no scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	no headers.
OK	no pkgconfig files.
OK	no libtool .la droppings.
OK	not a GUI app.

- use full URL to the source archive
- license tag should be GPLv2+
- package's own compile flags are used (see
http://dev.gentoo.org/~vapier/scons-blows.txt)
- debuginfo doesn't contain source files - depends on the right flags


Comment 3 Matěj Cepl 2008-07-17 23:35:34 UTC
SPEC file is in the same URL, and updated.
SRPM is http://mcepl.fedorapeople.org/rpms/pyexiv2-0.1.2-2.fc9.src.rpm

Thanks, Dan, for the help.

Comment 4 Dan Horák 2008-07-18 06:06:16 UTC
Matěj, you forgot to use the full URL for the source archive
(http://tilloy.net/dev/pyexiv2/releases/pyexiv2-0.1.2.tar.bz2). This package is
APPROVED when the Source0 tag is updated.

Comment 5 Matěj Cepl 2008-07-18 11:15:30 UTC
New Package CVS Request
=======================
Package Name: pyexiv2
Short Description: Python binding to exiv2
Owners:mcepl
Branches: F-8 F-9
InitialCC:
Cvsextras Commits:yes

Comment 6 Kevin Fenzi 2008-07-18 16:37:21 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.